/**** Containers ****/

:root {
    --text-color: #282828;
    --bg-color: #f9f9f9;
    --primary-color: #35479A;
    --secondary-color: #35479A;
    --tertiary-color: white;
    --bg-codeblock-color: #272822;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    font-family: "Verdana", sans-serif;
    font-size: 1.3em;
    margin: 0;
    overflow-x: hidden;
    overflow-y:scroll;
    padding: 0;
    position: relative;
}

main {
    margin-bottom: 200px;
}

[id^=section] {
    list-style: none;
}

/**** Text style ****/

/* Text-style: text */

h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
    line-height: normal;
}

h1 {
    font-size: 2em;
    margin-bottom: 1em;
}

a {
    color: var(--secondary-color);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Text-style: blockquotes */

blockquote {
    background: rgba(220, 220, 220, 0.6);
    border-left: 10px solid #ccc;
    margin: 1.5em 0;
    padding: 0.5em 20px;
    padding-top: 1.5em;
}

blockquote:before {
    color: #ccc;
    content: "\201C\A";
    font-size: 3.5em;
    line-height: 0.3em;
    margin-right: -0.5em;
    margin-left: -10px;
}

blockquote p {
    display: inline;
}

/* Text-style: lists */

p + ul, p + ol {
    margin-top: -0.6em;
}

/* Text-style: tables */

table {
    border-collapse: collapse;
    margin-left: auto;
    margin-right: auto;
}

table td, table th {
    padding: 15px;
}

table thead th {
    background-color: var(--primary-color);
    border: 1px solid #54585d;
    color: #ffffff;
    font-size: 1.2em;
    font-weight: bold;
    text-align: center;
}

table tbody td {
    border: 1px solid #dddfe1;
    color: #636363;
}

table tbody tr {
    background-color: #f9fafb;
}

table tbody tr:nth-child(odd) {
    background-color: #ffffff;
}

/* Text-style: images */

img {
    max-width: 100%;
}

#imgzoom {
    background: rgba(0, 0, 0, 0.5);

    display: flex;
    align-items: center;

    position: fixed;
    left: 0;
    top: 0;
    z-index:  150;

    width: 100%;
    height: 100%;

    visibility: hidden;
    opacity: 0;
    transition: opacity ease 0.4s;
}

#imgzoom.show {
    visibility: visible;
    opacity: 1;
}

#imgzoom img {
    cursor: pointer;
    width: 90%;
    height: 90%;
    margin: auto;
    object-fit: contain;
}

figure {
    text-align: center;
}

figcaption {
    color: gray;
    font-size: 0.9em;
    margin-top: -15px;
}

figcaption p {
    text-align: center !important;
}

/* Text-style: details */

details {
    background-color: rgba(0, 0, 0, .04);
    border: 1px solid #aaa;
    border-radius: 4px;
    padding: .5em .5em 0;
}

summary {
    background-color: rgba(0, 0, 0, 0.06);
    font-weight: bold;
    margin: -.5em -.5em 0;
    padding: .5em;
}

details summary {
    cursor: pointer;
}

details summary > * {
    display: inline;
}

details[open] {
    padding: .5em;
}

details[open] summary {
    border-bottom: 1px solid #aaa;
    margin-bottom: .5em;
}

/* Text-style: codeblocks */

pre {
    margin: 0;
    padding-right: 10px;
}

pre code {
    margin: 0;
    padding: 0;
    white-space: pre;
}
